module.exports = function(sequelize, DataTypes) {
  const DistTag = sequelize.define('DistTag', {
    name: DataTypes.STRING,
    version: DataTypes.STRING(64), // eslint-disable-line new-cap
  }, {
    timestamps: false,
    underscoredAll: true,
    charset: 'utf8mb4',
  });

  DistTag.associate = function(models) {
    // Can be simplified to DistTag.belongsTo(models.Package);
    DistTag.belongsTo(models.Package, {
      onDelete: 'CASCADE',
    });
  };

  return DistTag;
};
