module.exports = function(sequelize, DataTypes) {
  const Uplink = sequelize.define('Uplink', {
    name: DataTypes.STRING,
    etag: DataTypes.STRING(40), // eslint-disable-line new-cap
    fetched: DataTypes.BIGINT,
  }, {
    timestamps: false,
    underscoredAll: true,
    charset: 'utf8mb4',
  });

  Uplink.associate = function(models) {
    Uplink.belongsTo(models.Package, {
      onDelete: 'CASCADE',
    });
  };

  return Uplink;
};
